Skip to main content
GET
List vendor security incident alerts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

q
string

Case-insensitive search on alert title and affected vendor name.

vendorIdMatchesAny
string[]

Organization vendor IDs.

Required array length: 1 - 20 elements
resolutionStateMatchesAny
enum<string>[]

Filter by resolution state. Returns alerts matching any of the specified states.

Minimum array length: 1
Available options:
OPEN,
RESOLVED
confirmationStatusMatchesAny
enum<string>[]

Filter by incident confirmation status. Returns alerts matching any of the specified statuses.

Minimum array length: 1
Available options:
POTENTIAL,
CONFIRMED,
SUSPECTED
impactSeverityMatchesAny
enum<string>[]

Filter by overall impact severity. Returns alerts matching any of the specified severities.

Minimum array length: 1
Available options:
UNSPECIFIED,
CRITICAL,
HIGH,
MEDIUM,
LOW
dataLeakSeverityMatchesAny
enum<string>[]

Matches a DATA_LEAK consequence's severity, independently of overall impact.

Minimum array length: 1
Available options:
UNSPECIFIED,
CRITICAL,
HIGH,
MEDIUM,
LOW
sort
enum<string>
default:creationDate
Available options:
creationDate,
impactSeverity,
resolutionState,
confirmationStatus
direction
enum<string>
default:desc

Ascending means oldest first, highest impact first (CRITICAL to LOW to UNSPECIFIED), OPEN before RESOLVED, or CONFIRMED before SUSPECTED before POTENTIAL. Descending reverses each order.

Available options:
asc,
desc

Response

200 - application/json

Ok

results
object
required